天际说

YH/Hostinger免费空间安装Discuz解决方法

发布时间:2014年8月31日 / 分类:YH/Hostinger / 13,154 次围观 / 抢沙发!

之前一直有很多客户在问装discuz出现错误,也在不断地给运维团队反映。现在有解决办法了:

YouHosting/Hostinger的全部空间目前已经支持安装Discuz了!
具体效果请查看 vtscn.96.lt

请下载Hostinger专用优化版Discuz(未修改任何功能,仅增强了数据库访问功能):
http://pan.baidu.com/s/1mgC53Jy

如果您想自己操作,请您遵循下列步骤:

使用文本编辑器如UltraEdit进行文件批量替换,将所有.sql文件和.php中的“TYPE=”替换为“ENGINE=”(注意大小写)。

直接使用原版程序会出现错误是因为MySQL的版本问题。同样,如果您在安装其他国产程序时遇到了类似的MySQL错误,请尝试同样的步骤:将所有.sql文件和.php中的“TYPE=”替换为“ENGINE=”(注意大小写)。

此替换操作不会影响您的论坛数据在其他空间的可用性。

以下是我们的运维团队关于此问题的解决方法描述:
————————————————————————————————————————
we use mysql 5.5 version and it is written for old version of mysql
so in order to install you need to
1. extract it to the server
2. open file /install/data/install.sql with text editor
3. replace string TYPE= to ENGINE= (all occurences)
and then run installation from browser
it should install fine then
Here is explation:
http://stackoverflow.com/questio ... l-error-type-myisam
TYPE keyword is depreciated (since 5.0) and not supported in MySQL5.5
————————————————————————————————————————

标签:none